当前位置: 动力学知识库 > 问答 > 编程问答 >

ruby - Rubymine 6.0.2, unable to debug

问题描述:

On my new OSX Mavericks install, I wanted to give Rubymine a try and just can't get the debugger working (although i managed to get it working on Windows 7 with IntelliJ and the ruby plugin).

Here's what I did (XCode and commandline tools already installed):

homebrew install ruby

gem update --system

Then I installed Rubymine and opened some of my projects. Upon starting the debugger, rubymine tries to install dependencies:

Failed to Install Gems. Following gems were not installed:

/Applications/RubyMine.app/rb/gems/ruby-debug-ide-0.4.22.gem: Error

installing ruby-debug-ide-0.4.22.gem: ERROR: Failed to build gem

native extension.

/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby

mkrf_conf.rb Installing base gem You don't have write permissions for

the /Library/Ruby/Gems/2.0.0 directory.

/Library/Ruby/Site/2.0.0/rubygems/installer.rb:620:in

verify_gem_home'

/Library/Ruby/Site/2.0.0/rubygems/installer.rb:740:in

pre_install_checks'

/Library/Ruby/Site/2.0.0/rubygems/installer.rb:213:in install'

/Library/Ruby/Site/2.0.0/rubygems/request_set.rb:136:inblock in

install' /Library/Ruby/Site/2.0.0/rubygems/request_set.rb:120:in

each' /Library/Ruby/Site/2.0.0/rubygems/request_set.rb:120:in

install'

/Library/Ruby/Site/2.0.0/rubygems/dependency_installer.rb:389:in

install' mkrf_conf.rb:34:inrescue in ' mkrf_conf.rb:27:in ` ' rake

failed, exit code 1 Gem files will remain installed in /Volumes/OSX

DATA/Users/freakazoid/.gem/ruby/2.0.0/gems/ruby-debug-ide-0.4.22 for

inspection. Results logged to /Volumes/OSX

DATA/Users/freakazoid/.gem/ruby/2.0.0/extensions/universal-darwin-13/2.0.0/ruby-debug-ide-0.4.22/gem_make.out

/Applications/RubyMine.app/rb/gems/debase-0.0.9.gem: Error installing

debase-0.0.9.gem: ERROR: Failed to build gem native extension.

/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby

extconf.rb

/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby:

invalid option -D (-h will show valid options) (RuntimeError) extconf

failed, exit code 1 Gem files will remain installed in /Volumes/OSX

DATA/Users/freakazoid/.gem/ruby/2.0.0/gems/debase-0.0.9 for

inspection. Results logged to /Volumes/OSX

DATA/Users/freakazoid/.gem/ruby/2.0.0/extensions/universal-darwin-13/2.0.0/debase-0.0.9/gem_make.out

I can without problems do a

gem install debugger

on my osx terminal

Any help out there?

网友答案:

You need to get the source files since they aren't included.

gem install debugger-ruby_core_source

Then try again.

Also, since I've found this sometimes isn't set correctly in Rubymine, in the menu bar go to "Rubymine" -> "preferences" -> "Ruby SDK and Gems" and make sure it is pointed to the version of Ruby you are expecting.

网友答案:

Thanks Beartech, you pointed me to the right direction: Rubymine was looking for ruby in "/Library/..../ruby" and homebrew of course had ruby installed to another location. I had to edit my rubymine settings and point the ruby sdk to homebrew's ruby. Then i had to restart rubymine in order to successfully use the new sdk location. (I had previousl not restartet rubymine ...)

分享给朋友:
您可能感兴趣的文章:
随机阅读: